<h1 align="center">Employee Registration</h1>

<table align="center">
    <tr>
        <td> EmpName </td>
        <td> <input type="text" name="empName" [(ngModel)]="employee.empName" /> </td>
    </tr>
    <tr>
        <td> Salary </td>
        <td> <input type="text" name="salary" [(ngModel)]="employee.salary" /> </td>
    </tr>
    <tr>
        <td> Gender </td>
        <td>
            <select name="salary" [(ngModel)]="employee.gender">
                <option value="" selected>Select Gender</option>
                <option value="Male">   Male </option>
                <option value="Female"> Female </option>
                <option value="Others"> Others </option>
            </select>
        </td>
    </tr>
    <tr>
        <td> DateOfJoin </td>
        <td> <input type="date" name="doj" [(ngModel)]="employee.doj" /> </td>
    </tr>
    <tr>
        <td> Country </td>
        <td>
            <select name="country" [(ngModel)]="employee.country">
                <option value="" selected>Select Country</option>
                <option value="{{country.cca3}}" *ngFor="let country of countries"> {{country.name.common}} </option>
            </select>
        </td>
    </tr>
    <tr>
        <td> Email-Id </td>
        <td> <input type="text" name="emailId" [(ngModel)]="employee.emailId" /> </td>
    </tr>
    <tr>
        <td> Password </td>
        <td> <input type="password" name="password" [(ngModel)]="employee.password" /> </td>
    </tr>

    <!-- Add a row to display the departments data -->
    <tr>
        <td> Department </td>
        <td>
            <select name="department" [(ngModel)]="employee.department.deptId">
                <option value="" selected>Select Department</option>
                <option value="{{dept.deptId}}" *ngFor="let dept of departments"> {{dept.deptName}} </option>
            </select>
        </td>
    </tr>
    <tr>
        <td></td>
        <td> 
            <button (click)="submit()"> Register </button>
            Already User? <a routerLink="//login">SignIn</a>
        </td>
    </tr>
</table>
